"Fossies" - the Fresh Open Source Software Archive

Member "spammilt-0.5.0-rc7/Makefile.in" (22 Jun 2005, 20528 Bytes) of package /linux/privat/old/spammilt-0.5.0-rc7.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.7.6 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
    5 # Free Software Foundation, Inc.
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 srcdir = @srcdir@
   18 top_srcdir = @top_srcdir@
   19 VPATH = @srcdir@
   20 pkgdatadir = $(datadir)/@PACKAGE@
   21 pkglibdir = $(libdir)/@PACKAGE@
   22 pkgincludedir = $(includedir)/@PACKAGE@
   23 top_builddir = .
   24 
   25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   26 INSTALL = @INSTALL@
   27 install_sh_DATA = $(install_sh) -c -m 644
   28 install_sh_PROGRAM = $(install_sh) -c
   29 install_sh_SCRIPT = $(install_sh) -c
   30 INSTALL_HEADER = $(INSTALL_DATA)
   31 transform = $(program_transform_name)
   32 NORMAL_INSTALL = :
   33 PRE_INSTALL = :
   34 POST_INSTALL = :
   35 NORMAL_UNINSTALL = :
   36 PRE_UNINSTALL = :
   37 POST_UNINSTALL = :
   38 ACLOCAL = @ACLOCAL@
   39 AMDEP_FALSE = @AMDEP_FALSE@
   40 AMDEP_TRUE = @AMDEP_TRUE@
   41 AMTAR = @AMTAR@
   42 AUTOCONF = @AUTOCONF@
   43 AUTOHEADER = @AUTOHEADER@
   44 AUTOMAKE = @AUTOMAKE@
   45 AWK = @AWK@
   46 CC = @CC@
   47 CCDEPMODE = @CCDEPMODE@
   48 CFLAGS = @CFLAGS@
   49 CPP = @CPP@
   50 CPPFLAGS = @CPPFLAGS@
   51 CYGPATH_W = @CYGPATH_W@
   52 DEFS = @DEFS@
   53 DEPDIR = @DEPDIR@
   54 ECHO_C = @ECHO_C@
   55 ECHO_N = @ECHO_N@
   56 ECHO_T = @ECHO_T@
   57 EGREP = @EGREP@
   58 EXEEXT = @EXEEXT@
   59 INSTALL_DATA = @INSTALL_DATA@
   60 INSTALL_PROGRAM = @INSTALL_PROGRAM@
   61 INSTALL_SCRIPT = @INSTALL_SCRIPT@
   62 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
   63 LDFLAGS = @LDFLAGS@
   64 LIBOBJS = @LIBOBJS@
   65 LIBS = @LIBS@
   66 LTLIBOBJS = @LTLIBOBJS@
   67 MAKEINFO = @MAKEINFO@
   68 OBJEXT = @OBJEXT@
   69 PACKAGE = @PACKAGE@
   70 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   71 PACKAGE_NAME = @PACKAGE_NAME@
   72 PACKAGE_STRING = @PACKAGE_STRING@
   73 PACKAGE_TARNAME = @PACKAGE_TARNAME@
   74 PACKAGE_VERSION = @PACKAGE_VERSION@
   75 PATH_SEPARATOR = @PATH_SEPARATOR@
   76 SET_MAKE = @SET_MAKE@
   77 SHELL = @SHELL@
   78 STRIP = @STRIP@
   79 VERSION = @VERSION@
   80 ac_ct_CC = @ac_ct_CC@
   81 ac_ct_STRIP = @ac_ct_STRIP@
   82 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
   83 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
   84 am__include = @am__include@
   85 am__leading_dot = @am__leading_dot@
   86 am__quote = @am__quote@
   87 bindir = @bindir@
   88 build_alias = @build_alias@
   89 datadir = @datadir@
   90 exec_prefix = @exec_prefix@
   91 host_alias = @host_alias@
   92 includedir = @includedir@
   93 infodir = @infodir@
   94 install_sh = @install_sh@
   95 libdir = @libdir@
   96 libexecdir = @libexecdir@
   97 localstatedir = @localstatedir@
   98 mandir = @mandir@
   99 oldincludedir = @oldincludedir@
  100 prefix = @prefix@
  101 program_transform_name = @program_transform_name@
  102 sbindir = @sbindir@
  103 sharedstatedir = @sharedstatedir@
  104 sysconfdir = @sysconfdir@
  105 target_alias = @target_alias@
  106 sbin_PROGRAMS = spammiltd
  107 spammiltd_SOURCES = spammilt.c xfunctions.c spammilt.h xfunctions.h dynarray.c dynarray.h
  108 docdir = $(prefix)/share/doc/$(PACKAGE)-$(VERSION)
  109 doc_DATA = INSTALL NEWS README ChangeLog AUTHORS COPYING NEWS
  110 SUBDIRS = sample-files RedHat SuSe mrtg
  111 vardir = /var/spool/spammilt
  112 etcdir = /etc/mail/spam
  113 subdir = .
  114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  115 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  116 CONFIG_CLEAN_FILES =
  117 sbin_PROGRAMS = spammiltd$(EXEEXT)
  118 PROGRAMS = $(sbin_PROGRAMS)
  119 
  120 am_spammiltd_OBJECTS = spammilt.$(OBJEXT) xfunctions.$(OBJEXT) \
  121 	dynarray.$(OBJEXT)
  122 spammiltd_OBJECTS = $(am_spammiltd_OBJECTS)
  123 spammiltd_LDADD = $(LDADD)
  124 spammiltd_DEPENDENCIES =
  125 spammiltd_LDFLAGS =
  126 
  127 DEFAULT_INCLUDES =  -I. -I$(srcdir)
  128 depcomp = $(SHELL) $(top_srcdir)/depcomp
  129 am__depfiles_maybe = depfiles
  130 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/dynarray.Po ./$(DEPDIR)/spammilt.Po \
  131 @AMDEP_TRUE@	./$(DEPDIR)/xfunctions.Po
  132 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  133 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  134 CCLD = $(CC)
  135 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  136 DIST_SOURCES = $(spammiltd_SOURCES)
  137 DATA = $(doc_DATA)
  138 
  139 
  140 RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
  141 	ps-recursive install-info-recursive uninstall-info-recursive \
  142 	all-recursive install-data-recursive install-exec-recursive \
  143 	installdirs-recursive install-recursive uninstall-recursive \
  144 	check-recursive installcheck-recursive
  145 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
  146 	Makefile.in NEWS aclocal.m4 configure configure.in depcomp \
  147 	install-sh missing mkinstalldirs
  148 DIST_SUBDIRS = $(SUBDIRS)
  149 SOURCES = $(spammiltd_SOURCES)
  150 
  151 all: all-recursive
  152 
  153 .SUFFIXES:
  154 .SUFFIXES: .c .o .obj
  155 
  156 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  157  configure.lineno
  158 $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
  159 	cd $(top_srcdir) && \
  160 	  $(AUTOMAKE) --gnu  Makefile
  161 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
  162 	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  163 
  164 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  165 	$(SHELL) ./config.status --recheck
  166 $(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  167 	cd $(srcdir) && $(AUTOCONF)
  168 
  169 $(ACLOCAL_M4):  configure.in 
  170 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  171 sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
  172 install-sbinPROGRAMS: $(sbin_PROGRAMS)
  173 	@$(NORMAL_INSTALL)
  174 	$(mkinstalldirs) $(DESTDIR)$(sbindir)
  175 	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
  176 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
  177 	  if test -f $$p \
  178 	  ; then \
  179 	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
  180 	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
  181 	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f || exit 1; \
  182 	  else :; fi; \
  183 	done
  184 
  185 uninstall-sbinPROGRAMS:
  186 	@$(NORMAL_UNINSTALL)
  187 	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
  188 	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
  189 	  echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
  190 	  rm -f $(DESTDIR)$(sbindir)/$$f; \
  191 	done
  192 
  193 clean-sbinPROGRAMS:
  194 	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  195 spammiltd$(EXEEXT): $(spammiltd_OBJECTS) $(spammiltd_DEPENDENCIES) 
  196 	@rm -f spammiltd$(EXEEXT)
  197 	$(LINK) $(spammiltd_LDFLAGS) $(spammiltd_OBJECTS) $(spammiltd_LDADD) $(LIBS)
  198 
  199 mostlyclean-compile:
  200 	-rm -f *.$(OBJEXT) core *.core
  201 
  202 distclean-compile:
  203 	-rm -f *.tab.c
  204 
  205 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynarray.Po@am__quote@
  206 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/spammilt.Po@am__quote@
  207 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xfunctions.Po@am__quote@
  208 
  209 distclean-depend:
  210 	-rm -rf ./$(DEPDIR)
  211 
  212 .c.o:
  213 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
  214 @am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
  215 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
  216 @am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
  217 @am__fastdepCC_TRUE@	fi
  218 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  219 @AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
  220 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  221 @am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
  222 
  223 .c.obj:
  224 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
  225 @am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
  226 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
  227 @am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
  228 @am__fastdepCC_TRUE@	fi
  229 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  230 @AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
  231 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  232 @am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
  233 uninstall-info-am:
  234 docDATA_INSTALL = $(INSTALL_DATA)
  235 install-docDATA: $(doc_DATA)
  236 	@$(NORMAL_INSTALL)
  237 	$(mkinstalldirs) $(DESTDIR)$(docdir)
  238 	@list='$(doc_DATA)'; for p in $$list; do \
  239 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  240 	  f="`echo $$p | sed -e 's|^.*/||'`"; \
  241 	  echo " $(docDATA_INSTALL) $$d$$p $(DESTDIR)$(docdir)/$$f"; \
  242 	  $(docDATA_INSTALL) $$d$$p $(DESTDIR)$(docdir)/$$f; \
  243 	done
  244 
  245 uninstall-docDATA:
  246 	@$(NORMAL_UNINSTALL)
  247 	@list='$(doc_DATA)'; for p in $$list; do \
  248 	  f="`echo $$p | sed -e 's|^.*/||'`"; \
  249 	  echo " rm -f $(DESTDIR)$(docdir)/$$f"; \
  250 	  rm -f $(DESTDIR)$(docdir)/$$f; \
  251 	done
  252 
  253 # This directory's subdirectories are mostly independent; you can cd
  254 # into them and run `make' without going through this Makefile.
  255 # To change the values of `make' variables: instead of editing Makefiles,
  256 # (1) if the variable is set in `config.status', edit `config.status'
  257 #     (which will cause the Makefiles to be regenerated when you run `make');
  258 # (2) otherwise, pass the desired values on the `make' command line.
  259 $(RECURSIVE_TARGETS):
  260 	@set fnord $$MAKEFLAGS; amf=$$2; \
  261 	dot_seen=no; \
  262 	target=`echo $@ | sed s/-recursive//`; \
  263 	list='$(SUBDIRS)'; for subdir in $$list; do \
  264 	  echo "Making $$target in $$subdir"; \
  265 	  if test "$$subdir" = "."; then \
  266 	    dot_seen=yes; \
  267 	    local_target="$$target-am"; \
  268 	  else \
  269 	    local_target="$$target"; \
  270 	  fi; \
  271 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  272 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  273 	done; \
  274 	if test "$$dot_seen" = "no"; then \
  275 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  276 	fi; test -z "$$fail"
  277 
  278 mostlyclean-recursive clean-recursive distclean-recursive \
  279 maintainer-clean-recursive:
  280 	@set fnord $$MAKEFLAGS; amf=$$2; \
  281 	dot_seen=no; \
  282 	case "$@" in \
  283 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  284 	  *) list='$(SUBDIRS)' ;; \
  285 	esac; \
  286 	rev=''; for subdir in $$list; do \
  287 	  if test "$$subdir" = "."; then :; else \
  288 	    rev="$$subdir $$rev"; \
  289 	  fi; \
  290 	done; \
  291 	rev="$$rev ."; \
  292 	target=`echo $@ | sed s/-recursive//`; \
  293 	for subdir in $$rev; do \
  294 	  echo "Making $$target in $$subdir"; \
  295 	  if test "$$subdir" = "."; then \
  296 	    local_target="$$target-am"; \
  297 	  else \
  298 	    local_target="$$target"; \
  299 	  fi; \
  300 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  301 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  302 	done && test -z "$$fail"
  303 tags-recursive:
  304 	list='$(SUBDIRS)'; for subdir in $$list; do \
  305 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  306 	done
  307 ctags-recursive:
  308 	list='$(SUBDIRS)'; for subdir in $$list; do \
  309 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  310 	done
  311 
  312 ETAGS = etags
  313 ETAGSFLAGS =
  314 
  315 CTAGS = ctags
  316 CTAGSFLAGS =
  317 
  318 tags: TAGS
  319 
  320 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  321 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  322 	unique=`for i in $$list; do \
  323 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  324 	  done | \
  325 	  $(AWK) '    { files[$$0] = 1; } \
  326 	       END { for (i in files) print i; }'`; \
  327 	mkid -fID $$unique
  328 
  329 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  330 		$(TAGS_FILES) $(LISP)
  331 	tags=; \
  332 	here=`pwd`; \
  333 	if (etags --etags-include --version) >/dev/null 2>&1; then \
  334 	  include_option=--etags-include; \
  335 	else \
  336 	  include_option=--include; \
  337 	fi; \
  338 	list='$(SUBDIRS)'; for subdir in $$list; do \
  339 	  if test "$$subdir" = .; then :; else \
  340 	    test -f $$subdir/TAGS && \
  341 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  342 	  fi; \
  343 	done; \
  344 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  345 	unique=`for i in $$list; do \
  346 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  347 	  done | \
  348 	  $(AWK) '    { files[$$0] = 1; } \
  349 	       END { for (i in files) print i; }'`; \
  350 	test -z "$(ETAGS_ARGS)$$tags$$unique" \
  351 	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  352 	     $$tags $$unique
  353 
  354 ctags: CTAGS
  355 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  356 		$(TAGS_FILES) $(LISP)
  357 	tags=; \
  358 	here=`pwd`; \
  359 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  360 	unique=`for i in $$list; do \
  361 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  362 	  done | \
  363 	  $(AWK) '    { files[$$0] = 1; } \
  364 	       END { for (i in files) print i; }'`; \
  365 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  366 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  367 	     $$tags $$unique
  368 
  369 GTAGS:
  370 	here=`$(am__cd) $(top_builddir) && pwd` \
  371 	  && cd $(top_srcdir) \
  372 	  && gtags -i $(GTAGS_ARGS) $$here
  373 
  374 distclean-tags:
  375 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  376 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  377 
  378 top_distdir = .
  379 distdir = $(PACKAGE)-$(VERSION)
  380 
  381 am__remove_distdir = \
  382   { test ! -d $(distdir) \
  383     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  384          && rm -fr $(distdir); }; }
  385 
  386 GZIP_ENV = --best
  387 distuninstallcheck_listfiles = find . -type f -print
  388 distcleancheck_listfiles = find . -type f -print
  389 
  390 distdir: $(DISTFILES)
  391 	$(am__remove_distdir)
  392 	mkdir $(distdir)
  393 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  394 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  395 	list='$(DISTFILES)'; for file in $$list; do \
  396 	  case $$file in \
  397 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  398 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  399 	  esac; \
  400 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  401 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  402 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  403 	    dir="/$$dir"; \
  404 	    $(mkinstalldirs) "$(distdir)$$dir"; \
  405 	  else \
  406 	    dir=''; \
  407 	  fi; \
  408 	  if test -d $$d/$$file; then \
  409 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  410 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  411 	    fi; \
  412 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  413 	  else \
  414 	    test -f $(distdir)/$$file \
  415 	    || cp -p $$d/$$file $(distdir)/$$file \
  416 	    || exit 1; \
  417 	  fi; \
  418 	done
  419 	list='$(SUBDIRS)'; for subdir in $$list; do \
  420 	  if test "$$subdir" = .; then :; else \
  421 	    test -d $(distdir)/$$subdir \
  422 	    || mkdir $(distdir)/$$subdir \
  423 	    || exit 1; \
  424 	    (cd $$subdir && \
  425 	      $(MAKE) $(AM_MAKEFLAGS) \
  426 	        top_distdir="$(top_distdir)" \
  427 	        distdir=../$(distdir)/$$subdir \
  428 	        distdir) \
  429 	      || exit 1; \
  430 	  fi; \
  431 	done
  432 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  433 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  434 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  435 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  436 	|| chmod -R a+r $(distdir)
  437 dist-gzip: distdir
  438 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  439 	$(am__remove_distdir)
  440 
  441 dist dist-all: distdir
  442 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  443 	$(am__remove_distdir)
  444 
  445 # This target untars the dist file and tries a VPATH configuration.  Then
  446 # it guarantees that the distribution is self-contained by making another
  447 # tarfile.
  448 distcheck: dist
  449 	$(am__remove_distdir)
  450 	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  451 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  452 	mkdir $(distdir)/_build
  453 	mkdir $(distdir)/_inst
  454 	chmod a-w $(distdir)
  455 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  456 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  457 	  && cd $(distdir)/_build \
  458 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  459 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  460 	  && $(MAKE) $(AM_MAKEFLAGS) \
  461 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  462 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  463 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  464 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  465 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  466 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  467 	        distuninstallcheck \
  468 	  && chmod -R a-w "$$dc_install_base" \
  469 	  && ({ \
  470 	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
  471 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  472 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  473 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  474 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  475 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  476 	  && rm -rf "$$dc_destdir" \
  477 	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  478 	  && rm -f $(distdir).tar.gz \
  479 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  480 	$(am__remove_distdir)
  481 	@echo "$(distdir).tar.gz is ready for distribution" | \
  482 	  sed 'h;s/./=/g;p;x;p;x'
  483 distuninstallcheck:
  484 	@cd $(distuninstallcheck_dir) \
  485 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  486 	   || { echo "ERROR: files left after uninstall:" ; \
  487 	        if test -n "$(DESTDIR)"; then \
  488 	          echo "  (check DESTDIR support)"; \
  489 	        fi ; \
  490 	        $(distuninstallcheck_listfiles) ; \
  491 	        exit 1; } >&2
  492 distcleancheck: distclean
  493 	@if test '$(srcdir)' = . ; then \
  494 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  495 	  exit 1 ; \
  496 	fi
  497 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  498 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  499 	       $(distcleancheck_listfiles) ; \
  500 	       exit 1; } >&2
  501 check-am: all-am
  502 check: check-recursive
  503 all-am: Makefile $(PROGRAMS) $(DATA)
  504 installdirs: installdirs-recursive
  505 installdirs-am:
  506 	$(mkinstalldirs) $(DESTDIR)$(sbindir) $(DESTDIR)$(docdir)
  507 install-exec: install-exec-recursive
  508 install-data: install-data-recursive
  509 uninstall: uninstall-recursive
  510 
  511 install-am: all-am
  512 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  513 
  514 installcheck: installcheck-recursive
  515 install-strip:
  516 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  517 	  INSTALL_STRIP_FLAG=-s \
  518 	  `test -z '$(STRIP)' || \
  519 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  520 mostlyclean-generic:
  521 
  522 clean-generic:
  523 
  524 distclean-generic:
  525 	-rm -f Makefile $(CONFIG_CLEAN_FILES)
  526 
  527 maintainer-clean-generic:
  528 	@echo "This command is intended for maintainers to use"
  529 	@echo "it deletes files that may require special tools to rebuild."
  530 clean: clean-recursive
  531 
  532 clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
  533 
  534 distclean: distclean-recursive
  535 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  536 distclean-am: clean-am distclean-compile distclean-depend \
  537 	distclean-generic distclean-tags
  538 
  539 dvi: dvi-recursive
  540 
  541 dvi-am:
  542 
  543 info: info-recursive
  544 
  545 info-am:
  546 
  547 install-data-am: install-docDATA
  548 
  549 install-exec-am: install-sbinPROGRAMS
  550 
  551 install-info: install-info-recursive
  552 
  553 install-man:
  554 
  555 installcheck-am:
  556 
  557 maintainer-clean: maintainer-clean-recursive
  558 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  559 	-rm -rf $(top_srcdir)/autom4te.cache
  560 maintainer-clean-am: distclean-am maintainer-clean-generic
  561 
  562 mostlyclean: mostlyclean-recursive
  563 
  564 mostlyclean-am: mostlyclean-compile mostlyclean-generic
  565 
  566 pdf: pdf-recursive
  567 
  568 pdf-am:
  569 
  570 ps: ps-recursive
  571 
  572 ps-am:
  573 
  574 uninstall-am: uninstall-docDATA uninstall-info-am uninstall-sbinPROGRAMS
  575 
  576 uninstall-info: uninstall-info-recursive
  577 
  578 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
  579 	clean-generic clean-recursive clean-sbinPROGRAMS ctags \
  580 	ctags-recursive dist dist-all dist-gzip distcheck distclean \
  581 	distclean-compile distclean-depend distclean-generic \
  582 	distclean-recursive distclean-tags distcleancheck distdir \
  583 	distuninstallcheck dvi dvi-am dvi-recursive info info-am \
  584 	info-recursive install install-am install-data install-data-am \
  585 	install-data-recursive install-docDATA install-exec \
  586 	install-exec-am install-exec-recursive install-info \
  587 	install-info-am install-info-recursive install-man \
  588 	install-recursive install-sbinPROGRAMS install-strip \
  589 	installcheck installcheck-am installdirs installdirs-am \
  590 	installdirs-recursive maintainer-clean maintainer-clean-generic \
  591 	maintainer-clean-recursive mostlyclean mostlyclean-compile \
  592 	mostlyclean-generic mostlyclean-recursive pdf pdf-am \
  593 	pdf-recursive ps ps-am ps-recursive tags tags-recursive \
  594 	uninstall uninstall-am uninstall-docDATA uninstall-info-am \
  595 	uninstall-info-recursive uninstall-recursive \
  596 	uninstall-sbinPROGRAMS
  597 
  598 
  599 install:
  600 	mkdir -p -m 0700 $(vardir)
  601 	mkdir -p -m 0700 $(etcdir)
  602 	chown smmsp.smmsp $(vardir)
  603 	chown smmsp.smmsp $(etcdir)
  604 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  605 # Otherwise a system limit (for SysV at least) may be exceeded.
  606 .NOEXPORT: